Name: gnuitar
Version: 0.3.1
Release: alt1

Summary: GNUitar is a guitar processor
License: GPL
Group: Sound
Url: http://ns2.ziet.zhitomir.ua/~fonin/downloads.php#%name

Source: http://ns2.ziet.zhitomir.ua/~fonin/projects/%name/%name-%version.tar.bz2
Patch: %name-0.3.1-1.patch
Patch1: %name-0.3.1-2.patch
Patch2: %name-0.3.1-alt-makefile.patch

# Automatically added by buildreq on Wed Sep 24 2003
BuildRequires: XFree86-devel XFree86-libs glib-devel gtk+-devel

%description
This is a GNUitar effects software that allows you to use your computer
as powerful guitar processor. It includes several effects: wah-wah,
sustain, two flavours of distortion, reverberator, echo, delay, tremolo,
vibrato, chorus/flanger, phasor, noise gate.

%package distort2
Summary: Lookup tables for distort2 effect of GNUitar
Group: Sound
Requires: %name = %version-%release

%description distort2
This package provides lookup tables for distort2 effect of GNUitar.

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1

%build
%__rm -f missing
%__aclocal
%__automake -a -c
%__autoconf

%configure
%make_build

%install
%makeinstall

# menu
%__cat  <<__MENU__ >%name.menu
?package(%name): \
  needs="x11" \
  command="%name" \
  icon="sound_section.png" \
  title="GNUitar" \
  longtitle="Guitar effect processor" \
  section="Multimedia/Sound"
__MENU__

%__install -pD -m644 %name.menu %buildroot/%_menudir/%name

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/%name
%_datadir/%name/distort2/distort2lookup_44100_1_510
%_menudir/*
%doc ChangeLog TODO README AUTHORS NEWS FAQ INSTALL docs/*.html

%files distort2
%_bindir/gen_distort2_lookup
%_datadir/%name/distort2/*
%exclude %_datadir/%name/distort2/distort2lookup_44100_1_510

%changelog
* Wed Sep 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.3.1-alt1
- First build for Sisyphus.

